commit:     e02b7e3f9edf22d3de1efb9f1bd9f7655da866e3
Author:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 25 07:45:13 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Fri Aug 25 07:46:39 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e02b7e3f

net-dialup/minicom: add large file support

Closes: https://bugs.gentoo.org/912680
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 .../files/minicom-2.8-enable-large-file.patch      | 30 ++++++++++
 net-dialup/minicom/minicom-2.8-r4.ebuild           | 69 ++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/net-dialup/minicom/files/minicom-2.8-enable-large-file.patch 
b/net-dialup/minicom/files/minicom-2.8-enable-large-file.patch
new file mode 100644
index 000000000000..11489b50c690
--- /dev/null
+++ b/net-dialup/minicom/files/minicom-2.8-enable-large-file.patch
@@ -0,0 +1,30 @@
+https://bugs.gentoo.org/912680
+https://salsa.debian.org/minicom-team/minicom/-/commit/4ed314c504bc95d8ccef81d7c68684d5ac31e9db.patch
+
+From 4ed314c504bc95d8ccef81d7c68684d5ac31e9db Mon Sep 17 00:00:00 2001
+From: Adam Lackorzynski <[email protected]>
+Date: Sat, 19 Aug 2023 12:52:02 +0200
+Subject: [PATCH] configure.ac: Enable large file support
+
+Add AC_SYS_LARGEFILE to enable large file support in a portable way.
+Thanks the ChromeOS team and Raul Rangel for hinting at this.
+---
+ configure.ac | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/configure.ac b/configure.ac
+index 7b3f0df..6424a3f 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -16,6 +16,8 @@ dnl Checks for programs.
+ AC_PROG_CC
+ AM_PROG_AR
+ 
++AC_SYS_LARGEFILE
++
+ AC_USE_SYSTEM_EXTENSIONS
+ AC_USE_SYSTEM_EXTENSIONS
+ 
+-- 
+GitLab
+

diff --git a/net-dialup/minicom/minicom-2.8-r4.ebuild 
b/net-dialup/minicom/minicom-2.8-r4.ebuild
new file mode 100644
index 000000000000..98e6c105afa7
--- /dev/null
+++ b/net-dialup/minicom/minicom-2.8-r4.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Serial Communication Program"
+HOMEPAGE="https://salsa.debian.org/minicom-team/minicom";
+SRC_URI="
+       https://salsa.debian.org/${PN}-team/${PN}/-/archive/${PV}/${P}.tar.gz
+       https://dev.gentoo.org/~ceamac/${CATEGORY}/${PN}/${PN}-m4-${PV}.tar.bz2
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="nls"
+
+DEPEND="sys-libs/ncurses:="
+
+RDEPEND="
+       ${DEPEND}
+       net-dialup/lrzsz
+"
+
+BDEPEND="
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.8-gentoo-runscript.patch
+       "${FILESDIR}"/${PN}-2.8-lockdir.patch
+       "${FILESDIR}"/${PN}-2.8-enable-large-file.patch
+)
+
+src_prepare() {
+       default
+
+       # 912459
+       # Embed the needed m4 macros if gettext is not installed
+       mv "${WORKDIR}"/m4 . || die
+
+       eautoreconf
+}
+
+src_configure() {
+       # Lockdir must exist if not manually specified.
+       # '/var/lock' is created by OpenRC.
+       local myeconfargs=(
+               # See bug #788142
+               --sysconfdir="${EPREFIX}"/etc/${PN}
+
+               --disable-rpath
+               --enable-lock-dir="/var/lock"
+               $(use_enable nls)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       # Needs to match --sysconfdir above
+       insinto /etc/minicom
+       doins "${FILESDIR}"/minirc.dfl
+}

Reply via email to